/** Anims **/

.anim-blurring {
    animation-name: blurring;
    animation-duration: 0.5s;
    animation-iteration-count: 1;
    animation-timing-function: ease;
    animation-fill-mode: forwards;
}
@keyframes blurring {
    from {filter: blur(0px); }
    to {filter: blur(2px); }
}

@keyframes glowing {
    0%  {filter: blur(0px); opacity: 0.1;}
    50%  {filter: blur(0px); opacity: 1.0;}
    100%  {filter: blur(0px); opacity: 0.1;}
}

/** Overlays **/

.button-scroll-top {
    position: fixed;
    bottom: 5%;
    right: 10%;
    width: 100px;
    height: 100px;
    font-size: 50px;
    background: rgb(200, 150, 150);
    border: 4px solid white;
    color: white;
    opacity: 0.75;
    border-radius: 50%;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: opacity 0.3s;
    transform: translate(50%, 0%) rotate(270deg);
    user-select: none;
}

.button-scroll-top:hover {
    opacity: 1.0;
}

@media only screen and (max-width: 1400px) {
    .button-scroll-top{
        bottom: 15px;
        right: 50%;
    }
}

@media only screen and (max-width: 800px) {
    .button-scroll-top{
        font-size: 30px;
        width: 50px;
        height: 50px;
    }
}

.overlay{
    filter: opacity(1.0);
    width: -moz-available;          /* WebKit-based browsers will ignore this. */
    width: -webkit-fill-available;  /* Mozilla-based browsers will ignore this. */
    width: fill-available;
    height:100%;
    position:fixed;
    top: 0px;
    left: 0px;
    right: 0px;
    background-color: rgb(10, 10, 10);
    pointer-events:all;
    z-index: 1000;
    text-align: left;
}

.lockverlay{
	align-items: center;
    justify-content: center;
    width: -moz-available;          /* WebKit-based browsers will ignore this. */
    width: -webkit-fill-available;  /* Mozilla-based browsers will ignore this. */
    width: fill-available;
    height:100%;
    position:fixed;
    top: 0px;
    left: 0px;
    right: 0px;
    background-color: rgb(20, 20, 20, 0.0);
    pointer-events:all;
    z-index: 900;
    animation: fading 0.5s forwards;
}
@keyframes fading {
  0% {background-color: rgb(20, 20, 20, 0.0);}
  100% {background-color: rgb(20, 20, 20, 0.5); }
}
.lockverlay-loading-back{
    position: absolute;
    width: 100%;
    left: 0px;
    bottom: 0px;
    height: 10px;
    background: black;
}
.lockverlay-loading-front{
    position: absolute;
    width: 50%;
    left: 0px;
    bottom: 0px;
    height: 10px;
    background: red;
    animation-name: loading;
    animation-duration: 5s;
    animation-iteration-count: infinite;
    animation-timing-function: ease;
    animation-fill-mode: forwards;
}
@keyframes loading {
  0% {width:0%;}
  50% {width:50%;}
  75% {width:60%;}
  85% {width:70%;}
  95% {width:80%;}
  96% {width:90%;}
  97% {width:95%;}
  100% {width:100%;}
}
.lockverlay-loading-spinner {
  display: inline-block;
  width: 150px;
  height: 150px;
  border: 3px solid rgba(255,255,255,.3);
  border-radius: 50%;
  border-top-color: #fff;
  animation: spin 1s ease-in-out infinite;
  -webkit-animation: spin 1s ease-in-out infinite;
}

@keyframes spin {
  to { -webkit-transform: rotate(360deg); }
}
@-webkit-keyframes spin {
  to { -webkit-transform: rotate(360deg); }
}

/** Popups **/

.popup-window{
    display: none;
    position: fixed;
    bottom: 40%;
    top: 40%;
    left: 20%;
    right: 20%;
    bottom: 0;
    top: 0;
    left: 0;
    right: 0;
    z-index: 950;
}

/** Message **/

.message{
    padding: 30px;
    position: fixed;
    text-align: center;
    z-index: 2000;
    top: 10px;
    left: 10px;
    right: 10px;
    border-radius: 0px;
    border: 1px solid rgb(50, 50, 50, 0.25);
	box-shadow: rgba(0, 0, 0, 0.07) 0px 1px 2px, rgba(0, 0, 0, 0.07) 0px 2px 4px, rgba(0, 0, 0, 0.07) 0px 4px 8px, rgba(0, 0, 0, 0.07) 0px 8px 16px, rgba(0, 0, 0, 0.07) 0px 16px 32px, rgba(0, 0, 0, 0.07) 0px 32px 64px;
    font-size: 20px;
    color: black;
}
@media only screen and (max-width: 800px) {
    .message{
        font-size: 18px;
        top: 10px;
		left: 10px;
		right: 10px;
		padding: 30px;
    }
}

/** Menu **/
.menu-header-button-desktop {
	display: inline-block;
	cursor: pointer;
}
@media only screen and (max-width: 800px) {
    .menu-header-button-desktop{
        display: none;
    }
}
.menu-header-button-mobile {
	cursor: pointer;
	display: none;
}
@media only screen and (max-width: 900px) {
    .menu-header-button-mobile{
        display: inline-block;
    }
}
.menu-header-bar1, .menu-header-bar2, .menu-header-bar3 {
	width: 35px;
	height: 5px;
	background-color: rgb(200, 200, 200);
	margin: 6px;
	transition: 0.4s;
}
.menu-change .menu-header-bar1 {transform: translate(0, 11px) rotate(-45deg);}
.menu-change .menu-header-bar2 {opacity: 0;}
.menu-change .menu-header-bar3 {transform: translate(0, -11px) rotate(45deg);}

.icon-arrow {
	border: solid rgb(250, 250, 250);
	border-width: 0 3px 3px 0;
	display: inline-block;
	padding: 3px;
}

.icon-transform-right {
	transform: rotate(-45deg);
	-webkit-transform: rotate(-45deg);
}

.icon-transform-left {
	transform: rotate(135deg);
	-webkit-transform: rotate(135deg);
}

/** Overlays **/
.overlay-main-white{
	position: absolute;
	width: -webkit-fill-available;
	height: calc(100vh - 90px);
	z-index: 2;
	background-color: rgb(255, 230, 210, 0.5);
}


/** Icons **/

.icons{
    font-family: icons;
    font-size: inherit;
}

.icon-star{
    color: rgb(255, 155, 20);
    font-family: icons;
    font-size: inherit;
    vertical-align: middle;
}
.icon-star:before{
    content: '6';
}


.icon-ticket{
     color: rgb(180, 110, 50);
     font-family: icons;
     font-size: inherit;
 }
.icon-ticket:before{
    content: "4";
}

.icon-flag{
     color: rgb(0, 180, 20);
     font-family: icons;
     font-size: inherit;
 }
.icon-flag:before{
    content: "9";
}

.popup-flag-container{
    display: flex;
    width: -webkit-fill-available;
    height: -webkit-fill-available;
    1align-items: center;
    justify-content: center;
    background: rgb(0, 0, 0, 0.2);
    backdrop-filter: blur(8px);
}

.flag-list{
    display: flex;
    1margin: 0px 0px;
    1padding: 10px 50px;
    height: 22px;
    gap: 10%;
    width: -webkit-fill-available;
    1align-items: center;
    justify-content: center;
    background: rgb(211, 189, 162);
    border: 2px solid black;
    border-width: 2px 0px;
    box-shadow: rgba(0, 0, 0, 0.4) 0px 2px 4px, rgba(0, 0, 0, 0.3) 0px 7px 13px -3px, rgba(0, 0, 0, 0.2) 0px -3px 0px inset;
}

.icon-lang-flag{
    background-image: url(/imgs/ui/elements/flags.png);
    background-size: 500% 100%;
    width: 100px;
    height: 100px;
    min-width: 100px;
    min-height: 100px;
    cursor: pointer;
    user-select: none;
    filter: drop-shadow(0px 4px 4px rgb(0, 0, 0, 0.75));
}

.icon-lang-flag-menu{
    transform: scale(0.8);
    transform-origin: top;
    position: absolute;
    top: 10px;
}

.flag-portugal{background-position: 0px 0px;}
.flag-spain{background-position: -100px 0px;}
.flag-uk{background-position: 200px 0px;}

@media only screen and (max-width: 800px) {
    .icon-lang-flag{
        width: 80px;
        height: 80px;
        min-width: 80px;
        min-height: 80px;
    }
    .flag-portugal{background-position: 0px 0px;}
    .flag-spain{background-position: -80px 0px;}
    .flag-uk{background-position: 160px 0px;}
}

/** Socials **/

.social-grid{
    display: flex;
	justify-content: center;
}
@media only screen and (max-width: 1200px) {
    .social-grid{
    	justify-content: space-evenly;
    }
}

.social-grid-rows{
    display: flex;
    gap: 10px;
    justify-content: center;
    padding: 0px 15px 0px 15px;
}
.social-row{
    display: flex;
    align-items: center;
    border: 1px solid rgb(20, 20, 20);
    background-color: rgba(0, 0, 0, 0.3);
    padding: 0px 20px 0px 20px;
    height: 70px;
}
.social-description-row{
	font-size: 25px;
	text-align: left;
	vertical-align: super;
	margin-left: 20px;
}

.social-column{
    width:8%;
    min-width: 45px;
    border:0px solid red;
    vertical-align:top;
    font: "regular";
    font-size: 18px;
    height: 50px;
    color: white;
    filter: drop-shadow(0px 2px 3px black);
}
.social-column-row{
    height: 80px;
    width:unset;
}
.social-icon{
    width:60px;
    height: 60px;
}
@media only screen and (max-width: 800px) {
    .social-icon{
        width:40px;
        height: 40px;
    }
}
.social-icon-small{
    width:50px;
    height: 50px;
}
@media only screen and (max-width: 800px) {
    .social-icon-small{
        width:45px;
        height: 45px;
    }
}